$LastChangedDate: 27-Juil-2011 $

# CL_kp_v2M

True anomaly to mean anomaly

## Calling Sequence

       [M] = CL_kp_v2M(ecc,v)

## Description

- Computes mean anomaly from true anomaly and eccentricity for elliptical and hyperbolic orbits.

## Parameters

ecc:

  Eccentricity (PxN or Px1)

v:

  True anomaly [rad] (PxN or Px1)

M:

  Mean anomaly [rad] (PxN)

## Authors

- CNES - DCT/SB

## Bibliography

- 1) Orbital Mechanics for Engineering Students, H D Curtis, Chapter 3, equation 3.10a

- 2) Mecanique spatiale, CNES - Cepadues 1995, Tome I, section 4.6.6, page 179

## See also

- CL_kp_M2v

## Examples

    ecc = 0.1;
    v = 0.2;
    M = CL_kp_v2M(ecc,v)